"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getTimeDifference = exports.getHoursFromTimestamp = void 0;

require("core-js/modules/es.number.to-fixed.js");

require("core-js/modules/es.parse-int.js");

const getTimeDifference = date => {
  const millisec = new Date(Date.now()).getTime() - new Date(date).getTime();
  var seconds = (millisec / 1000).toFixed(1);
  var minutes = (millisec / (1000 * 60)).toFixed(1);
  var hours = (millisec / (1000 * 60 * 60)).toFixed(1);
  var days = (millisec / (1000 * 60 * 60 * 24)).toFixed(1);

  if (seconds < 60) {
    if (seconds < 0) {
      return "Just now";
    }

    return "".concat(parseInt(seconds), " Sec ago");
  } else if (minutes < 60) {
    return "".concat(parseInt(minutes), " Min ago");
  } else if (hours < 24) {
    return "".concat(parseInt(hours), " Hrs ago");
  } else {
    return "".concat(parseInt(days), " Days ago");
  }
};

exports.getTimeDifference = getTimeDifference;

const getHoursFromTimestamp = stamp => {
  let date = new Date(stamp);
  return getTimeDifference(date);
};

exports.getHoursFromTimestamp = getHoursFromTimestamp;