"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

require("core-js/modules/web.dom-collections.iterator.js");

require("core-js/modules/es.parse-int.js");

var _react = _interopRequireWildcard(require("react"));

var _ChatItemModule = _interopRequireDefault(require("./ChatItem.module.scss"));

var _sample = _interopRequireDefault(require("../../assets/sample.png"));

var _getHoursFromTimestamp = require("../../_helpers/getHoursFromTimestamp");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }

function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); if (enumerableOnly) { symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; }); } keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; if (i % 2) { ownKeys(Object(source), true).forEach(function (key) { _defineProperty(target, key, source[key]); }); } else if (Object.getOwnPropertyDescriptors) { Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)); } else { ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

const ChatItem = _ref => {
  let {
    user,
    active,
    onClick
  } = _ref;
  const [fields, setFields] = (0, _react.useState)({
    recentMessage: null,
    messageTime: null
  });
  const {
    recentMessage,
    messageTime
  } = fields;

  const getrecentMessage = () => {
    var _user$threads$, _user$threads$$messag, _user$threads$2;

    let length = user === null || user === void 0 ? void 0 : (_user$threads$ = user.threads[0]) === null || _user$threads$ === void 0 ? void 0 : (_user$threads$$messag = _user$threads$.messages) === null || _user$threads$$messag === void 0 ? void 0 : _user$threads$$messag.length;
    let field = user === null || user === void 0 ? void 0 : (_user$threads$2 = user.threads[0]) === null || _user$threads$2 === void 0 ? void 0 : _user$threads$2.messages[length - 1];
    setFields(_objectSpread(_objectSpread({}, fields), {}, {
      recentMessage: field
    }));
  };

  (0, _react.useEffect)(() => {
    if (user) {
      getrecentMessage();
    } // eslint-disable-next-line react-hooks/exhaustive-deps

  }, [user]);
  (0, _react.useEffect)(() => {
    if (recentMessage !== null) {
      let time = (0, _getHoursFromTimestamp.getHoursFromTimestamp)(parseInt(recentMessage === null || recentMessage === void 0 ? void 0 : recentMessage.timestamp));
      setFields(_objectSpread(_objectSpread({}, fields), {}, {
        messageTime: time
      }));
    } // eslint-disable-next-line react-hooks/exhaustive-deps

  }, [recentMessage]);
  return /*#__PURE__*/_react.default.createElement("div", {
    className: "".concat(!active ? _ChatItemModule.default.ChatItem : _ChatItemModule.default.ChatItem__active),
    onClick: onClick
  }, /*#__PURE__*/_react.default.createElement("div", {
    className: _ChatItemModule.default.ChatItem__imgcontainer
  }, /*#__PURE__*/_react.default.createElement("img", {
    src: _sample.default,
    alt: user === null || user === void 0 ? void 0 : user.username
  }), /*#__PURE__*/_react.default.createElement("div", {
    className: _ChatItemModule.default.ChatItem__imgcontainer__status_circle
  })), /*#__PURE__*/_react.default.createElement("div", {
    className: _ChatItemModule.default.ChatItem__body
  }, /*#__PURE__*/_react.default.createElement("div", {
    className: _ChatItemModule.default.ChatItem__body__name
  }, /*#__PURE__*/_react.default.createElement("span", null, user === null || user === void 0 ? void 0 : user.username), /*#__PURE__*/_react.default.createElement("small", null, messageTime)), /*#__PURE__*/_react.default.createElement("div", {
    className: _ChatItemModule.default.ChatItem__body__message
  }, /*#__PURE__*/_react.default.createElement("span", null, recentMessage === null || recentMessage === void 0 ? void 0 : recentMessage.body), /*#__PURE__*/_react.default.createElement("small", null, "1"))));
};

var _default = ChatItem;
exports.default = _default;