"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

require("core-js/modules/web.dom-collections.iterator.js");

var _react = _interopRequireWildcard(require("react"));

var _ChatListShellModule = _interopRequireDefault(require("./ChatListShell.module.scss"));

var _antd = require("antd");

var _icons = require("@ant-design/icons");

var _propTypes = _interopRequireDefault(require("prop-types"));

var _ChatList = _interopRequireDefault(require("../ChatList/ChatList"));

var _SearchList = _interopRequireDefault(require("../SearchList/SearchList"));

var _Queries = require("../../GraphQL/Queries");

var _client = require("@apollo/client");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }

function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

const {
  TabPane
} = _antd.Tabs;
const {
  Option
} = _antd.Select;

const ChatListShell = _ref => {
  let {
    options,
    query,
    resetChatList,
    isUsername,
    setQueryMessagesBody
  } = _ref;
  const [chatOptions, setChatOptions] = (0, _react.useState)([]);
  const [selectedOption, setSelectedOption] = (0, _react.useState)("allchats");
  const {
    data
  } = (0, _client.useSubscription)(_Queries.LOAD_USERS);
  (0, _react.useEffect)(() => {
    setChatOptions(options);
  }, [options]);

  const handleChatOptions = value => {
    setSelectedOption(value);
  };

  return /*#__PURE__*/_react.default.createElement("div", {
    className: isUsername ? "".concat(_ChatListShellModule.default.ChatListShell__hide + ' ' + _ChatListShellModule.default.ChatListShell) : _ChatListShellModule.default.ChatListShell
  }, /*#__PURE__*/_react.default.createElement("div", {
    className: _ChatListShellModule.default.ChatListShell__bar
  }, query.parameter.length === 0 ? /*#__PURE__*/_react.default.createElement(_antd.Select, {
    defaultValue: "allchats",
    bordered: false,
    value: selectedOption,
    "data-testid": "ChatListShell-select",
    onChange: handleChatOptions
  }, chatOptions === null || chatOptions === void 0 ? void 0 : chatOptions.map(op => {
    return /*#__PURE__*/_react.default.createElement(Option, {
      key: op.id,
      value: op.value
    }, op.label);
  })) : /*#__PURE__*/_react.default.createElement("div", null, /*#__PURE__*/_react.default.createElement(_icons.ArrowLeftOutlined, {
    onClick: resetChatList
  }), /*#__PURE__*/_react.default.createElement("span", {
    style: {
      marginLeft: '10px',
      fontWeight: '600'
    }
  }, "Search"))), (query === null || query === void 0 ? void 0 : query.parameter.length) === 0 ? /*#__PURE__*/_react.default.createElement("div", {
    className: _ChatListShellModule.default.ChatListShell__mobilebar,
    "data-testid": "ChatListShell-mobilebar"
  }, /*#__PURE__*/_react.default.createElement(_antd.Tabs, {
    defaultActiveKey: "allchats",
    onChange: handleChatOptions,
    centered: true
  }, chatOptions === null || chatOptions === void 0 ? void 0 : chatOptions.map(op => {
    return /*#__PURE__*/_react.default.createElement(TabPane, {
      tab: op.label,
      key: op.value
    });
  }))) : null, (query === null || query === void 0 ? void 0 : query.parameter.length) === 0 ? selectedOption === 'allchats' ? /*#__PURE__*/_react.default.createElement(_ChatList.default, {
    data: data
  }) : /*#__PURE__*/_react.default.createElement("div", null) : /*#__PURE__*/_react.default.createElement(_SearchList.default, {
    query: query,
    setQueryMessagesBody: setQueryMessagesBody
  }));
};

var _default = ChatListShell;
exports.default = _default;
ChatListShell.propTypes = {
  query: _propTypes.default.shape({
    parameter: _propTypes.default.string
  }),
  resetChatList: _propTypes.default.func
};
ChatListShell.defaultProps = {
  query: {
    parameter: ''
  },
  resetChatList: () => console.log('This function will reset the ChatListSheel to its default state')
};