"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

require("core-js/modules/web.dom-collections.iterator.js");

var _react = _interopRequireWildcard(require("react"));

var _ConversationModule = _interopRequireDefault(require("./Conversation.module.scss"));

var _Message = _interopRequireDefault(require("../Message/Message"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }

function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

const Conversation = _ref => {
  let {
    user,
    queryMessages
  } = _ref;
  const [reversedMessages, setReversedMessages] = (0, _react.useState)([]);

  function reverseArr(array) {
    return array === null || array === void 0 ? void 0 : array.map((item, idx) => array[array.length - 1 - idx]);
  }

  (0, _react.useEffect)(() => {
    let updatedArr;

    if (user) {
      var _user$getHC_Lead, _user$getHC_Lead$thre;

      updatedArr = reverseArr(user === null || user === void 0 ? void 0 : (_user$getHC_Lead = user.getHC_Lead) === null || _user$getHC_Lead === void 0 ? void 0 : (_user$getHC_Lead$thre = _user$getHC_Lead.threads[0]) === null || _user$getHC_Lead$thre === void 0 ? void 0 : _user$getHC_Lead$thre.messages);
      setReversedMessages(updatedArr);
    }

    if ((queryMessages === null || queryMessages === void 0 ? void 0 : queryMessages.length) !== 0) {
      updatedArr = reverseArr(queryMessages);
    }

    setReversedMessages(updatedArr);
  }, [user, queryMessages]);
  return /*#__PURE__*/_react.default.createElement("div", {
    className: _ConversationModule.default.Conversation
  }, reversedMessages === null || reversedMessages === void 0 ? void 0 : reversedMessages.map((message, index) => {
    return /*#__PURE__*/_react.default.createElement(_Message.default, {
      key: index,
      isMyMessage: message.type === 'sent',
      message: message
    });
  }));
};

var _default = Conversation;
exports.default = _default;