"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

require("core-js/modules/web.dom-collections.iterator.js");

require("core-js/modules/es.promise.js");

var _react = _interopRequireWildcard(require("react"));

var _ConversationShellModule = _interopRequireDefault(require("./ConversationShell.module.scss"));

var _sample = _interopRequireDefault(require("../../assets/sample.png"));

var _antd = require("antd");

var _ConversationContainer = _interopRequireDefault(require("../ConversationContainer/ConversationContainer"));

var _client = require("@apollo/client");

var _Queries = require("../../GraphQL/Queries");

var _icons = require("@ant-design/icons");

var _reactRouterDom = require("react-router-dom");

var _api = require("../../api/api");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }

function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

const {
  TabPane
} = _antd.Tabs;

const ConversationShell = _ref => {
  var _data$getHC_Lead, _data$getHC_Lead2, _data$getHC_Lead3, _data$getHC_Lead4, _data$getHC_Lead5;

  let {
    chatApiUrl,
    queryMessagesBody,
    handleSetIsUsername
  } = _ref;
  const {
    username
  } = (0, _reactRouterDom.useParams)();
  const {
    data,
    refetch,
    loading
  } = (0, _client.useSubscription)(_Queries.LOAD_MESSAGES, {
    variables: {
      "leadId": username
    }
  });

  const [queryMessages, setQueryMessage] = _react.default.useState([]);

  const tabStyles = {
    paddingTop: '20px'
  };
  (0, _react.useEffect)(() => {
    handleSetIsUsername(username);
  }, [username]);
  (0, _react.useEffect)(() => {
    setQueryMessage([]);

    const fetchQueryMessages = async () => {
      if (queryMessagesBody !== null & (queryMessagesBody === null || queryMessagesBody === void 0 ? void 0 : queryMessagesBody.threadId) !== null) {
        const {
          data
        } = await (0, _api.getQueryMessages)('https://backend.dgraph.smarter.codes', queryMessagesBody);
        setQueryMessage(data.messages);
      }
    };

    fetchQueryMessages();
  }, [queryMessagesBody]);

  function callback(key) {
    console.log(key);
  }

  return /*#__PURE__*/_react.default.createElement("div", {
    className: _ConversationShellModule.default.ConversationShell
  }, !username ? /*#__PURE__*/_react.default.createElement("div", {
    className: _ConversationShellModule.default.ConversationShell__bar
  }, /*#__PURE__*/_react.default.createElement("span", {
    "data-testid": "selectcontact",
    className: _ConversationShellModule.default.ConversationShell__bar__selectcontact
  }, "Select a contact")) : /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, /*#__PURE__*/_react.default.createElement("div", {
    className: _ConversationShellModule.default.ConversationShell__bar
  }, /*#__PURE__*/_react.default.createElement("div", {
    className: _ConversationShellModule.default.ConversationShell__bar__imgcontainer
  }, /*#__PURE__*/_react.default.createElement("img", {
    src: _sample.default,
    alt: (data === null || data === void 0 ? void 0 : (_data$getHC_Lead = data.getHC_Lead) === null || _data$getHC_Lead === void 0 ? void 0 : _data$getHC_Lead.username) || ""
  }), /*#__PURE__*/_react.default.createElement("div", {
    className: _ConversationShellModule.default.ConversationShell__bar__imgcontainer__status_circle
  })), /*#__PURE__*/_react.default.createElement("h6", {
    className: _ConversationShellModule.default.ConversationShell__bar__name
  }, data === null || data === void 0 ? void 0 : (_data$getHC_Lead2 = data.getHC_Lead) === null || _data$getHC_Lead2 === void 0 ? void 0 : _data$getHC_Lead2.username), /*#__PURE__*/_react.default.createElement("div", {
    className: _ConversationShellModule.default.ConversationShell__bar__panels
  }, /*#__PURE__*/_react.default.createElement(_antd.Tabs, {
    defaultActiveKey: "1",
    onChange: callback,
    tabBarStyle: tabStyles
  }, /*#__PURE__*/_react.default.createElement(TabPane, {
    tab: "Chat",
    key: "1"
  }), /*#__PURE__*/_react.default.createElement(TabPane, {
    tab: "Files",
    key: "2"
  }), /*#__PURE__*/_react.default.createElement(TabPane, {
    tab: "Starred Messages",
    key: "3"
  })))), /*#__PURE__*/_react.default.createElement("div", {
    className: _ConversationShellModule.default.ConversationShell__mobilebar
  }, /*#__PURE__*/_react.default.createElement(_icons.ArrowLeftOutlined, {
    className: _ConversationShellModule.default.ConversationShell__mobilebar__icon,
    onClick: () => window.history.back()
  }), /*#__PURE__*/_react.default.createElement("div", {
    className: _ConversationShellModule.default.ConversationShell__mobilebar__imgcontainer
  }, /*#__PURE__*/_react.default.createElement("img", {
    src: _sample.default,
    alt: (data === null || data === void 0 ? void 0 : (_data$getHC_Lead3 = data.getHC_Lead) === null || _data$getHC_Lead3 === void 0 ? void 0 : _data$getHC_Lead3.username) || ""
  }), /*#__PURE__*/_react.default.createElement("div", {
    className: _ConversationShellModule.default.ConversationShell__mobilebar__imgcontainer__status_circle
  }), /*#__PURE__*/_react.default.createElement("h6", {
    className: _ConversationShellModule.default.ConversationShell__mobilebar__name
  }, data === null || data === void 0 ? void 0 : (_data$getHC_Lead4 = data.getHC_Lead) === null || _data$getHC_Lead4 === void 0 ? void 0 : _data$getHC_Lead4.username), /*#__PURE__*/_react.default.createElement(_icons.SearchOutlined, {
    className: _ConversationShellModule.default.ConversationShell__mobilebar__icon
  }), /*#__PURE__*/_react.default.createElement(_icons.MoreOutlined, {
    className: _ConversationShellModule.default.ConversationShell__mobilebar__icon
  })), /*#__PURE__*/_react.default.createElement("h6", {
    className: _ConversationShellModule.default.ConversationShell__mobilebar__name
  }, data === null || data === void 0 ? void 0 : (_data$getHC_Lead5 = data.getHC_Lead) === null || _data$getHC_Lead5 === void 0 ? void 0 : _data$getHC_Lead5.username), /*#__PURE__*/_react.default.createElement(_icons.SearchOutlined, {
    className: _ConversationShellModule.default.ConversationShell__mobilebar__icon
  }), /*#__PURE__*/_react.default.createElement(_icons.MoreOutlined, {
    className: _ConversationShellModule.default.ConversationShell__mobilebar__icon
  }))), loading ? /*#__PURE__*/_react.default.createElement(_antd.Spin, {
    size: "large",
    className: _ConversationShellModule.default.ConversationShell__loading
  }) : /*#__PURE__*/_react.default.createElement(_ConversationContainer.default, {
    user: data,
    selectedId: username,
    refetch: refetch,
    chatApiUrl: chatApiUrl,
    queryMessages: queryMessages,
    queryMessagesBody: queryMessagesBody
  }));
};

var _default = ConversationShell;
exports.default = _default;