"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

require("core-js/modules/web.dom-collections.iterator.js");

var _react = _interopRequireWildcard(require("react"));

var _client = require("@apollo/client");

var _antd = require("antd");

var _icons = require("@ant-design/icons");

var _propTypes = _interopRequireDefault(require("prop-types"));

var _SearchListModule = _interopRequireDefault(require("./SearchList.module.scss"));

var _MessageItem = _interopRequireDefault(require("../MessageItem/MessageItem"));

var _Queries = require("../../GraphQL/Queries");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }

function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

const SearchList = _ref => {
  let {
    query,
    setQueryMessagesBody
  } = _ref;
  const {
    data
  } = (0, _client.useQuery)(_Queries.LOAD_SEARCH_LIST, {
    variables: {
      filter: {
        body: {
          anyofterms: query.parameter
        }
      }
    }
  });
  const [queryMessages, setQueryMessages] = (0, _react.useState)([]);
  const [chosen, setChosen] = (0, _react.useState)(null);
  const {
    TabPane
  } = _antd.Tabs;
  const tabStyles = {
    padding: '20px 0px 0px 20px'
  };
  (0, _react.useEffect)(() => {
    if (data) {
      setQueryMessages(data.queryMessage);
    }
  }, [data]);

  const handleMessageSelect = user => {
    const threadId = user.thread !== null ? user.thread.id : user.thread;
    setQueryMessagesBody({
      threadId,
      messageId: user.id
    });
  };

  return /*#__PURE__*/_react.default.createElement("div", {
    className: _SearchListModule.default.SearchList
  }, /*#__PURE__*/_react.default.createElement("div", {
    className: _SearchListModule.default.SearchList__bar__panels
  }, /*#__PURE__*/_react.default.createElement(_antd.Tabs, {
    defaultActiveKey: "1",
    tabBarStyle: tabStyles
  }, /*#__PURE__*/_react.default.createElement(TabPane, {
    tab: "Messages",
    key: "1"
  }), /*#__PURE__*/_react.default.createElement(TabPane, {
    tab: "Contacts",
    key: "2"
  }), /*#__PURE__*/_react.default.createElement(TabPane, {
    tab: "Files",
    key: "3"
  }))), /*#__PURE__*/_react.default.createElement("div", {
    className: _SearchListModule.default.SearchList__bar__settings
  }, /*#__PURE__*/_react.default.createElement("span", {
    className: _SearchListModule.default.SearchList__bar__settings__options
  }, "Filter", ' ', /*#__PURE__*/_react.default.createElement(_icons.DownOutlined, {
    className: _SearchListModule.default.SearchList__icons__downarrow
  })), /*#__PURE__*/_react.default.createElement("span", {
    className: _SearchListModule.default.SearchList__bar__settings__options
  }, "Sort ", /*#__PURE__*/_react.default.createElement(_icons.DownOutlined, {
    className: _SearchListModule.default.SearchList__icons__downarrow
  }))), /*#__PURE__*/_react.default.createElement("div", {
    className: _SearchListModule.default.SearchList__query_messages_container
  }, /*#__PURE__*/_react.default.createElement("div", {
    className: _SearchListModule.default.SearchList__query_messages_container__inner_area
  }, queryMessages.length ? queryMessages.map((user, index) => {
    return /*#__PURE__*/_react.default.createElement("div", {
      key: index,
      onClick: () => handleMessageSelect(user)
    }, /*#__PURE__*/_react.default.createElement(_MessageItem.default, {
      "data-testid": "ChatItem",
      key: user.id,
      user: user,
      query: query,
      active: user.id === chosen,
      handleActiveMessage: () => setChosen(user.id)
    }));
  }) : /*#__PURE__*/_react.default.createElement("div", {
    className: _SearchListModule.default.SearchList__not_found_msg
  }, "No matches"))));
};

SearchList.propTypes = {
  query: _propTypes.default.shape({
    parameter: _propTypes.default.string
  })
};
SearchList.defaultProps = {
  query: {
    parameter: ''
  }
};
var _default = SearchList;
exports.default = _default;