import ChatShell from './components/ChatShell/ChatShell';
import 'antd/dist/antd.css';
import './App.scss';
import {
  BrowserRouter as Router,
  Routes,
  Route,
  Navigate,
} from 'react-router-dom';
import { Spin } from 'antd';
import { Suspense } from 'react';

function App(props) {
  return (
    <div className="App">
      <Router>
        <Suspense fallback={<Spin />}>
          <Routes>
            <Route path="/" element={<Navigate replace to="/chat" />} />
            <Route
              path="/chat"
              element={<ChatShell connectionUri="https://alpha.dgraph.smarter.codes/graphql" subscriptionUri="wss://alpha.dgraph.smarter.codes/graphql" chatApiUrl="https://whatsapp.dgraph.smarter.codes"  {...props} />} />
            <Route
              path="/chat/:username"
              element={<ChatShell connectionUri="https://alpha.dgraph.smarter.codes/graphql" subscriptionUri="wss://alpha.dgraph.smarter.codes/graphql" chatApiUrl="https://whatsapp.dgraph.smarter.codes"  {...props} />}
            />
          </Routes>
        </Suspense>
      </Router>
    </div>
  );
}

export default App;
