import { gql } from '@apollo/client';

export const LOAD_USERS = gql`
  subscription {
    queryHC_Lead {
      id
      username
      threads {
        id
        messages(order: { desc: timestamp }, offset: 0, first: 1) {
          id
          from
          to
          timestamp
          body
          username
        }
      }
    }
  }
`;

export const LOAD_MESSAGES = gql`
  subscription($leadId: ID!) {
    getHC_Lead(id: $leadId) {
      username
      threads {
        id
        messages {
          from
          to
          timestamp
          body
          type
        }
      }
    }
  }
`;

export const LOAD_SEARCH_LIST = gql`
  query message($filter: MessageFilter) {
    queryMessage(filter: $filter) {
      id
      body
      from
      timestamp
      username
      thread {
        id
        sender {
          id
          username
        }
      }
    }
  }
`;
