import React, { useEffect, useState } from 'react';
import styles from './ChatItem.module.scss';
import sample from "../../assets/sample.png";
import { getHoursFromTimestamp } from "../../_helpers/getHoursFromTimestamp"

const ChatItem = ({ user, active, onClick }) => {

  const [fields, setFields] = useState({
    recentMessage: null,
    messageTime: null
  })

  const { recentMessage, messageTime } = fields;

  const getrecentMessage = () => {
    let length = user?.threads[0]?.messages?.length
    let field = user?.threads[0]?.messages[length - 1]
    setFields({ ...fields, recentMessage: field })
  }
  useEffect(() => {
    if (user) {
      getrecentMessage()
    }
    // eslint-disable-next-line react-hooks/exhaustive-deps
  }, [user])

  useEffect(() => {
    if (recentMessage !== null) {
      let time = getHoursFromTimestamp(parseInt(recentMessage?.timestamp))
      setFields({ ...fields, messageTime: time })
    }
    // eslint-disable-next-line react-hooks/exhaustive-deps
  }, [recentMessage])


  return (
    <div className={`${!active ? styles.ChatItem : styles.ChatItem__active}`} onClick={onClick}>
      <div className={styles.ChatItem__imgcontainer}>
        <img src={sample} alt={user?.username}></img>
        <div className={styles.ChatItem__imgcontainer__status_circle}>
        </div>
      </div>
      <div className={styles.ChatItem__body}>
        <div className={styles.ChatItem__body__name}>
          <span>{user?.username}</span>
          <small>{messageTime}</small>
        </div>
        <div className={styles.ChatItem__body__message}>
          <span>
            {recentMessage?.body}
          </span>
          <small>
            1
          </small>
        </div>
      </div>
    </div>
  )
};

export default ChatItem;
