import React from 'react';
import ReactDOM from 'react-dom';
import ChatItem from './ChatItem';
import { MockedProvider } from '@apollo/client/testing';
import { LOAD_USERS } from "../../GraphQL/Queries";
import { render, screen, getByText, waitFor, getByTestId, fireEvent } from '@testing-library/react';


const mocks = [];

const comp = <MockedProvider mocks={mocks}>
  <ChatItem />
</MockedProvider>

describe(('rendring of components'), () => {
  it('It should mount', () => {
    const div = document.createElement('div');
    ReactDOM.render(comp, div);
    ReactDOM.unmountComponentAtNode(div);
  })
}
)

describe(('mounting with data'), () => {
  it('Item mount with data', async () => {
    let prop = 
      {
        username: "Sahil Thakur",
        id: "0x2725",
        threads: [
          {
            id: "0x2724",
            messages: [
              {
                from: "whatsapp:+918988413260",
                to: "whatsapp:+14155238886",
                timestamp: "1637295513344",
                body: "Sending first message",
                __typename: "Message"
              },
              {
                from: "whatsapp:+918988413260",
                to: "whatsapp:+14155238886",
                timestamp: "1637295528041",
                body: "Second message from me",
                __typename: "Message"
              }
            ],
            __typename: "Thread"
          }
        ],
        __typename: "HC_Lead"
      }
    
    let el = <MockedProvider mocks={[]}>
      <ChatItem user={prop}/>
    </MockedProvider>
    await new Promise(resolve => setTimeout(resolve, 4000)); // wait for response
    const { container,getByText } = render(el)
    expect(getByText("Sahil Thakur")).toBeInTheDocument();
  })
}
)
