import React, { useEffect, useState } from 'react';
import styles from './ChatList.module.scss';
import ChatItem from '../ChatItem/ChatItem';
import { useNavigate } from "react-router-dom"; 

const ChatList = ({ data }) => {

  const navigate = useNavigate()

  const [users, setUsers] = useState([]);
  const [chosen, setChosen] = useState(null)


  useEffect(() => {
    if (data) {
      setUsers(data.queryHC_Lead);
    }
  }, [data]);

  const handleSetChosen =(value)=>{
    setChosen(value)
    navigate(`/chat/${value}`)
  }

  return (
    <div className={styles.ChatList}>
      {users.filter((e) => e?.threads[0]?.messages?.length > 0)?.sort((a, b) => b.threads[0]?.messages[0]?.timestamp - a.threads[0]?.messages[0]?.timestamp)?.map((user) => {
        return (
          <div key={user.id}>
            <ChatItem data-testid="ChatItem" key={user.id} user={user} active={user.id === chosen} onClick={()=>handleSetChosen(user.id)} />
          </div>
        )
      })}
    </div>
  )
};

export default ChatList;
