import React from 'react';
import ReactDOM from 'react-dom';
import ChatListShell from './ChatListShell';
import { MockedProvider } from '@apollo/client/testing';
import { LOAD_USERS } from "../../GraphQL/Queries";
import { render } from '@testing-library/react';

const mockedUsedNavigate = jest.fn();

jest.mock('react-router-dom', () => ({
   ...jest.requireActual('react-router-dom'),
  useNavigate: () => mockedUsedNavigate,
}));


const mocks = [];

const comp = <MockedProvider mocks={mocks}>
  <ChatListShell />
</MockedProvider>


jest.mock('antd', () => {
  const antd = jest.requireActual('antd');

  const Select = ({ children, onChange, value }) => {
    return <select data-testid="ChatListShell-select" value={"allchats"} onChange={e => onChange(e.target.value)}>{children}</select>;
  };

  Select.Option = ({ children, ...otherProps }) => {
    return <option {...otherProps}>{children}</option>;
  }

  return {
    ...antd,
    Select
  }
})



describe(('rendring of components'), () => {
  it('It should mount', () => {
    const div = document.createElement('div');
    ReactDOM.render(comp, div);
    ReactDOM.unmountComponentAtNode(div);
  })
}
)
