import React, { useEffect, useState } from 'react';
import styles from './Conversation.module.scss';
import Message from '../Message/Message';

const Conversation = ({ user, queryMessages }) => {
  const [reversedMessages, setReversedMessages] = useState([]);

  function reverseArr(array) {
    return array?.map((item, idx) => array[array.length - 1 - idx]);
  }

  useEffect(() => {
    let updatedArr;
    if (user) {
      updatedArr = reverseArr(user?.getHC_Lead?.threads[0]?.messages);
      setReversedMessages(updatedArr);
    }

    if (queryMessages?.length !== 0) {
      updatedArr = reverseArr(queryMessages);
    }

    setReversedMessages(updatedArr);
  }, [user, queryMessages]);

  return (
    <div className={styles.Conversation}>
      {reversedMessages?.map((message, index) => {
        return (
          <Message
            key={index}
            isMyMessage={message.type === 'sent'}
            message={message}
          />
        );
      })}
    </div>
  );
};

export default Conversation;
