import React from 'react';
import './Message.scss';
import classNames from 'classnames';
import sample from "../../assets/sample.png"
import { getHoursFromTimestamp } from '../../_helpers/getHoursFromTimestamp';


const Message = ({ isMyMessage, message }) => {
  const messageClass = classNames('message-row', {
    'you-message': isMyMessage,
    'other-message': !isMyMessage
  });

  return (
    <div className="Message">
      <div className={messageClass}>
        <div className="message-content">
          {isMyMessage ? null :
            <div className={"img-container"}>
              <img src={message?.imageUrl || sample} alt={message?.imageUrl || ""}></img>
              <div className={"img-container-status-circle"}>
              </div>
            </div>
          }
          <div className="message-container">
            <div className="message-title">
              {!isMyMessage && <span>{message?.from}</span>}
              <span>{getHoursFromTimestamp(parseInt(message?.timestamp))}</span>
            </div>
            <div className="message-body">
              {message?.body}
            </div>
          </div>
        </div>
      </div>
    </div>
  );
}

export default Message;
