import React from 'react';
import moment from 'moment';
import styles from './MessageItem.module.scss';
import sample from '../../assets/sample.png';
import Highlighter from 'react-highlight-words';

const MessageItem = ({ user, active, handleActiveMessage, query }) => {
  return (
    <div
      className={`${!active ? styles.MessageItem : styles.MessageItem__active}`}
      onClick={handleActiveMessage}
    >
      <div className={styles.MessageItem__imgcontainer}>
        <img alt="profile" src={sample}></img>
        <div className={styles.MessageItem__imgcontainer__status_circle}></div>
      </div>
      <div className={styles.MessageItem__body}>
        <div className={styles.MessageItem__body__name}>
          <small className={styles.MessageItem__body__message__small}>
            {user?.username !== null ? user?.username : 'Profile Name'}
          </small>
          <small className={styles.MessageItem__body__date}>
            {moment(Number(user?.timestamp)).format('L')}
          </small>
        </div>
        <div className={styles.MessageItem__body__message}>
          <div>
            <Highlighter
              highlightClassName={styles.MessageItem__highlited_searched_query}
              // activeStyle={{ color: 'red' }}
              searchWords={[query?.parameter]}
              // autoEscape={true}
              textToHighlight={user?.body}
            />
            {/* {recentMessage?.body} */}
          </div>

          <small>In Chat with {user?.username}</small>
        </div>
      </div>
    </div>
  );
};

MessageItem.propTypes = {};

MessageItem.defaultProps = {};

export default MessageItem;
