import React from 'react';
import ReactDOM from 'react-dom';
import MessageItem from './MessageItem';
import { default as MessageItemLazy } from './MessageItem.lazy';
import { MockedProvider } from '@apollo/client/testing';

const mocks = [];

describe('rendring of components', () => {
  it('It should mount', () => {
    const div = document.createElement('div');
    ReactDOM.render(
      <MockedProvider mocks={mocks}>
        <MessageItem />
      </MockedProvider>,
      div
    );
    ReactDOM.unmountComponentAtNode(div);
  });

  it('renders It lazy component', () => {
    const div = document.createElement('div');
    ReactDOM.render(
      <MockedProvider mocks={mocks}>
        <MessageItemLazy />
      </MockedProvider>,
      div
    );
    ReactDOM.unmountComponentAtNode(div);
  });
});
