import React from 'react';
import ReactDOM from 'react-dom';
import { MockedProvider } from '@apollo/client/testing';
import SearchList from './SearchList';
import { default as SearchListLazy } from './SearchList.lazy';

const mocks = [];

describe('rendring of components', () => {
  it('It should mount', () => {
    const div = document.createElement('div');
    ReactDOM.render(
      <MockedProvider mocks={mocks}>
        <SearchList />
      </MockedProvider>,
      div
    );
    ReactDOM.unmountComponentAtNode(div);
  });

  it('renders It lazy component', () => {
    const div = document.createElement('div');
    ReactDOM.render(
      <MockedProvider mocks={mocks}>
        <SearchListLazy />
      </MockedProvider>,
      div
    );
    ReactDOM.unmountComponentAtNode(div);
  });
});
